Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class AbstractPopupPanel

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.richfaces.component.AbstractPopupPanel

All Implemented Interfaces:
  java.util.EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

Direct Known Subclasses:
  UIPopupPanel

    public abstract class AbstractPopupPanel

extends javax.faces.component.UIComponentBase

JSF component class

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`AbstractPopupPanel()`

Method Summary
`abstract java.lang.String` | `getControlsClass()`
`abstract java.lang.String` | `getDomElementAttachment()`
`java.lang.String` | `getFamily()`
`abstract java.lang.String` | `getHeader()`
`abstract java.lang.String` | `getHeaderClass()`
`abstract int` | `getHeight()`
`abstract java.lang.String` | `getLeft()`
`abstract int` | `getMaxHeight()`
`abstract int` | `getMaxWidth()`
`abstract int` | `getMinHeight()`
`abstract int` | `getMinWidth()`
`abstract java.lang.String` | `getOnbeforehide()`
`abstract java.lang.String` | `getOnbeforeshow()`
`abstract java.lang.String` | `getOnhide()`
`abstract java.lang.String` | `getOnmaskclick()`
`abstract java.lang.String` | `getOnmaskcontextmenu()`
`abstract java.lang.String` | `getOnmaskdblclick()`
`abstract java.lang.String` | `getOnmaskmousedown()`
`abstract java.lang.String` | `getOnmaskmousemove()`
`abstract java.lang.String` | `getOnmaskmouseout()`
`abstract java.lang.String` | `getOnmaskmouseover()`
`abstract java.lang.String` | `getOnmaskmouseup()`
`abstract java.lang.String` | `getOnmove()`
`abstract java.lang.String` | `getOnresize()`
`abstract java.lang.String` | `getOnshow()`
`abstract java.lang.String` | `getShadowDepth()`
`abstract java.lang.String` | `getShadowOpacity()`
`abstract java.lang.String` | `getStyle()`
`abstract java.lang.String` | `getStyleClass()`
`abstract java.lang.String` | `getTop()`
`abstract java.lang.String` | `getVisualOptions()`
`abstract int` | `getWidth()`
`abstract int` | `getZindex()`
`abstract boolean` | `isAutosized()`
`abstract boolean` | `isFollowByScroll()`
`abstract boolean` | `isKeepVisualState()`
`abstract boolean` | `isModal()`
`abstract boolean` | `isMoveable()`
`abstract boolean` | `isOverlapEmbedObjects()`
`abstract boolean` | `isResizeable()`
`abstract boolean` | `isShow()`
`abstract boolean` | `isTrimOverlayedElements()`
`abstract void` | `setShow(boolean show)`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### AbstractPopupPanel

    public AbstractPopupPanel()

Method Detail

### getStyle

    public abstract java.lang.String getStyle()

### getStyleClass

    public abstract java.lang.String getStyleClass()

### getVisualOptions

    public abstract java.lang.String getVisualOptions()

### getZindex

    public abstract int getZindex()

### getHeight

    public abstract int getHeight()

### getWidth

    public abstract int getWidth()

### getMinHeight

    public abstract int getMinHeight()

### getMinWidth

    public abstract int getMinWidth()

### getMaxHeight

    public abstract int getMaxHeight()

### getMaxWidth

    public abstract int getMaxWidth()

### getTop

    public abstract java.lang.String getTop()

### getLeft

    public abstract java.lang.String getLeft()

### isShow

    public abstract boolean isShow()

### setShow

    public abstract void setShow(boolean show)

### isMoveable

    public abstract boolean isMoveable()

### isAutosized

    public abstract boolean isAutosized()

### isModal

    public abstract boolean isModal()

### isKeepVisualState

    public abstract boolean isKeepVisualState()

### isOverlapEmbedObjects

    public abstract boolean isOverlapEmbedObjects()

### isResizeable

    public abstract boolean isResizeable()

### isTrimOverlayedElements

    public abstract boolean isTrimOverlayedElements()

### getDomElementAttachment

    public abstract java.lang.String getDomElementAttachment()

### getControlsClass

    public abstract java.lang.String getControlsClass()

### getHeader

    public abstract java.lang.String getHeader()

### getHeaderClass

    public abstract java.lang.String getHeaderClass()

### getShadowDepth

    public abstract java.lang.String getShadowDepth()

### getShadowOpacity

    public abstract java.lang.String getShadowOpacity()

### isFollowByScroll

    public abstract boolean isFollowByScroll()

### getOnmaskclick

    public abstract java.lang.String getOnmaskclick()

### getOnmaskdblclick

    public abstract java.lang.String getOnmaskdblclick()

### getOnmaskmousedown

    public abstract java.lang.String getOnmaskmousedown()

### getOnmaskmouseup

    public abstract java.lang.String getOnmaskmouseup()

### getOnmaskmouseover

    public abstract java.lang.String getOnmaskmouseover()

### getOnmaskmousemove

    public abstract java.lang.String getOnmaskmousemove()

### getOnmaskcontextmenu

    public abstract java.lang.String getOnmaskcontextmenu()

### getOnmaskmouseout

    public abstract java.lang.String getOnmaskmouseout()

### getOnresize

    public abstract java.lang.String getOnresize()

### getOnshow

    public abstract java.lang.String getOnshow()

### getOnhide

    public abstract java.lang.String getOnhide()

### getOnmove

    public abstract java.lang.String getOnmove()

### getOnbeforeshow

    public abstract java.lang.String getOnbeforeshow()

### getOnbeforehide

    public abstract java.lang.String getOnbeforehide()

### getFamily

    public java.lang.String getFamily()

  Specified by:
    `getFamily` in class `javax.faces.component.UIComponent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.